.pbmit-element-timeline-style-2 .pbmit-timeline-inner {
	padding-bottom: 80px;
}
.pbmit-element-timeline-style-2 .pbmit-timeline-inner:last-child {
	padding-bottom: 0px;
}
.pbmit-element-timeline-style-2 .pbmit-content {
	text-align: right;
	position: relative;
	padding-right: 150px;
}
.pbmit-element-timeline-style-2 .pbmit-year {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: auto;
	margin: auto;
	max-width: 100%;
	display: inline-block;
	font-weight: 700;
	letter-spacing: normal;
	font-size: 128px;
	line-height: 128px;
	height: min-content;
	color: rgba(var(--pbmit-enginix-blackish-color-rgb), 0.2);
	z-index: 1;
	pointer-events: none;
	transition: 0.4s;
	transform: rotateZ(180deg);
	writing-mode: vertical-rl;
}
.pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-year {
	color: rgba(var(--pbmit-enginix-blackish-color-rgb), 0.5);
}
.pbmit-element-timeline-style-2 .pbmit-timeline-image {
	position: relative;
	overflow: hidden;
	border-radius: 7px;
	width: 350px;
	height: 350px;
}
.pbmit-element-timeline-style-2 .pbmit-timeline-image img {
	width: 350px;
	height: 350px;
	object-fit: cover;
	border-radius: 7px;
	transform: scale(1);
	-webkit-transform: scale(1);
	transition: all .4s linear;
	-webkit-transition: all .4s linear;
	-moz-transition: all .4s linear;
	-o-transition: all .4s linear;
}
.pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-timeline-image img {
	transform: scale(1.1);
	-webkit-transform: scale(1.1);
}
.pbmit-element-timeline-style-2 .pbmit-title {
	font-size: 26px;
	line-height: 34px;
}
.pbmit-element-timeline-style-2 .pbmit-desc p {
	margin-bottom: 0;
}
.pbmit-element-timeline-style-2 .pbmit-ourhistory-row{
	align-items: center;
	position: relative;
}
.pbmit-element-timeline-style-2 .pbmit-timeline-post-items{
	position: relative;
}
.pbmit-element-timeline-style-2 .pbmit-timeline-post-items::before {
	content: '';
	position: absolute;
	z-index: -1;
	top: 0;
	left: calc(50% - 1px);
	width: 1px;
	height: 100%;
	background: rgba(var(--pbmit-enginix-blackish-bg-color-rgb),0.2);
}
.pbmit-element-timeline-style-2 .pbmit-ourhistory-center {
	position: relative;
}
.pbmit-element-timeline-style-2 .pbmit-history-line {
	position: absolute;
	top: 0px;
	left: 50%;
	width: 60px;
	height: 1px;
	transform: translate(-100%, -50%);
	background-color: rgba(var(--pbmit-enginix-blackish-bg-color-rgb), 0.2);
}
.pbmit-element-timeline-style-2 .pbmit-history-line::after {
	content: "";
	position: absolute;
	top: 0;
	left: auto;
	bottom: 0;
	right: 0;
	width: 0%;
	height: 1px;
	background-color: var(--pbmit-enginix-secondary-color);
	-webkit-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	transition: all 0.5s ease;
}
.pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-history-line::after {
	width: 100%;
}
.pbmit-element-timeline-style-2 .pbmit-history-center-dot{
	content: "";
	position: absolute;
	left: 50%;
	right: 50%;
	height: 20px;
	width: 20px;
	background-color: var(--pbmit-enginix-blackish-color);
	box-shadow: 0 0 0 4px var(--pbmit-enginix-body-bg-color), 0 0 0 5px rgba(var(--pbmit-enginix-blackish-color-rgb),0.2);
	border-radius: 50%;
	transform: translate(-50%,-50%);
	z-index: 2;
	transition: all 0.4s ease-in;
}
.pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-history-center-dot{
	background-color: var(--pbmit-enginix-secondary-color);
	box-shadow: 0 0 0 6px var(--pbmit-enginix-body-bg-color), 0 0 0 7px rgba(var(--pbmit-enginix-secondary-color-rgb), 1);
}
.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-ourhistory-row {
	flex-direction: row-reverse;
	align-items: center;
}
.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-ourhistory-left{
	display: inline-flex;
	justify-content: end;
}
.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-history-line {
	right: 50%;
	left: auto;
	transform: translate(100%, -50%);
}
.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-history-line::after {
	left: 0;
	right: auto;
}
.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-content {
	padding-right: 0;
	padding-left: 150px;
	text-align: left;
}
.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-year {
	left: 0;
	right: auto;
}
.pbmit-element-timeline-style-2 .pbmit-heading-subheading {
	margin-bottom: 70px;
}
/* == Bg Color == */
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-timeline-post-items::before,
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-timeline-post-items::before,
.pbmit-elementor-bg-color-globalcolor .pbmit-element-timeline-style-2 .pbmit-timeline-post-items::before {
	background: rgba(var(--pbmit-enginix-white-bg-color-rgb), 0.1);
}
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-timeline-post-items::before {
	background: rgba(var(--pbmit-enginix-white-bg-color-rgb), 0.2);
}
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-title,
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-title,
.pbmit-elementor-bg-color-globalcolor .pbmit-element-timeline-style-2 .pbmit-title {
	color: var(--pbmit-enginix-white-color);
}
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-desc,
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-desc,
.pbmit-elementor-bg-color-globalcolor .pbmit-element-timeline-style-2 .pbmit-desc {
	color: rgba(var(--pbmit-enginix-white-color-rgb), 0.7);
}
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-year,
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-year,
.pbmit-elementor-bg-color-globalcolor .pbmit-element-timeline-style-2 .pbmit-year {
	color: rgba(var(--pbmit-enginix-white-color-rgb), 0.2);
}
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-year,
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-year,
.pbmit-elementor-bg-color-globalcolor .pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-year {
	color: rgba(var(--pbmit-enginix-white-color-rgb), 0.5);
}
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-history-line,
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-history-line,
.pbmit-elementor-bg-color-globalcolor .pbmit-element-timeline-style-2 .pbmit-history-line {
	background-color: rgba(var(--pbmit-enginix-white-bg-color-rgb), 0.2);
}
.pbmit-elementor-bg-color-globalcolor .pbmit-element-timeline-style-2 .pbmit-history-center-dot{
	background-color: var(--pbmit-enginix-white-color);
	box-shadow: 0 0 0 4px var(--pbmit-enginix-global-color), 0 0 0 5px rgba(var(--pbmit-enginix-white-bg-color-rgb),0.2);
}
.pbmit-elementor-bg-color-globalcolor .pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-history-center-dot{
	background-color: var(--pbmit-enginix-secondary-color);
	box-shadow: 0 0 0 6px var(--pbmit-enginix-global-color), 0 0 0 7px rgba(var(--pbmit-enginix-secondary-color-rgb), 1);
}
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-history-center-dot,
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-history-center-dot{
	background-color: var(--pbmit-enginix-white-color);
	box-shadow: 0 0 0 4px var(--pbmit-enginix-blackish-color), 0 0 0 5px rgba(var(--pbmit-enginix-white-bg-color-rgb),0.2);
}
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-history-center-dot,
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-history-center-dot{
	background-color: var(--pbmit-enginix-secondary-color);
	box-shadow: 0 0 0 6px var(--pbmit-enginix-blackish-color), 0 0 0 7px rgba(var(--pbmit-enginix-secondary-color-rgb), 1);
}
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-history-center-dot,
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-history-center-dot{
	background-color: var(--pbmit-enginix-white-color);
	box-shadow: 0 0 0 4px var(--pbmit-enginix-secondary-color), 0 0 0 5px rgba(var(--pbmit-enginix-white-bg-color-rgb),0.5);
}
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-history-center-dot,
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-ourhistory-row:hover .pbmit-history-center-dot{
	background-color: var(--pbmit-enginix-global-color);
	box-shadow: 0 0 0 6px var(--pbmit-enginix-secondary-color), 0 0 0 7px rgba(var(--pbmit-enginix-global-color-rgb), 1);
}
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-history-line::after,
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-history-line::after {
	background-color: var(--pbmit-enginix-global-color);
}
.pbmit-elementor-bg-color-blackish .pbmit-element-timeline-style-2 .pbmit-history-line,
.pbmit-elementor-bg-color-secondary .pbmit-element-timeline-style-2 .pbmit-history-line {
	background-color: rgba(var(--pbmit-enginix-white-bg-color-rgb), 0.5);
}
@media (max-width: 1366px) {
	.pbmit-element-timeline-style-2 .pbmit-year {
		font-size: 120px;
		line-height: 120px;
	}
}
@media (max-width: 1200px) {
	.pbmit-element-timeline-style-2 .pbmit-year {
		font-size: 100px;
		line-height: 100px;
	}
	.pbmit-element-timeline-style-2 .pbmit-content {
		padding-right: 130px;
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-content {
		padding-left: 130px;
	}
}
@media (max-width: 1200px) {
	.pbmit-element-timeline-style-2 .pbmit-year {
		font-size: 100px;
		line-height: 100px;
	}
	.pbmit-element-timeline-style-2 .pbmit-content {
		padding-right: 130px;
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-content {
		padding-left: 130px;
	}
}
@media (max-width: 991px) {
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner {
		padding-bottom: 70px;
	}
	.pbmit-element-timeline-style-2 .pbmit-year {
		font-size: 80px;
		line-height: 80px;
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-content,
	.pbmit-element-timeline-style-2 .pbmit-content {
		padding: 30px;
		text-align: center;
		width: 50%;
		margin: 0 auto;
		border-radius: 7px;
		background-color: var(--pbmit-enginix-white-bg-color);
	}
	.pbmit-element-timeline-style-2 .pbmit-year {
		position: inherit;
		transform: rotate(0);
		writing-mode: inherit;
	}
	.pbmit-element-timeline-style-2 .pbmit-ourhistory-row {
		display: grid;
		grid-gap: 40px;
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-image {
		margin: 0 auto;
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-history-line,
	.pbmit-element-timeline-style-2 .pbmit-history-line {
		left: 50%;
		width: 100px;
		transform: translate(-50%, -50%);
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-history-line::after,
	.pbmit-element-timeline-style-2 .pbmit-history-line::after {
		left: 0;
		right: 0;
		transform: scale(0);
	}
	.pbmit-element-timeline-style-2:hover .pbmit-timeline-inner:nth-child(even) .pbmit-history-line::after,
	.pbmit-element-timeline-style-2:hover .pbmit-history-line::after {
		transform: scale(1);
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner .pbmit-ourhistory-row:hover .pbmit-content .pbmit-year,
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner .pbmit-content .pbmit-year{
		color: rgba(var(--pbmit-enginix-blackish-color-rgb),.5);
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner .pbmit-content .pbmit-title{
		color: var(--pbmit-enginix-blackish-color);
	}
	.pbmit-element-timeline-style-2  .pbmit-timeline-inner .pbmit-content .pbmit-desc{
		color: rgba(var(--pbmit-enginix-blackish-color-rgb),.7);
	}
}
@media (max-width: 767px) {
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-content,
	.pbmit-element-timeline-style-2 .pbmit-content {
		width: 80%;
	}
	.pbmit-element-timeline-style-2 .pbmit-year {
		font-size: 70px;
		line-height: 70px;
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner {
		padding-bottom: 60px;
	}
}
@media (max-width: 575px) {
	.pbmit-element-timeline-style-2 .pbmit-year {
		font-size: 60px;
		line-height: 60px;
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner:nth-child(even) .pbmit-content,
	.pbmit-element-timeline-style-2 .pbmit-content {
		width: 100%;
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-image,
	.pbmit-element-timeline-style-2 .pbmit-timeline-image img {
		width: 100%;
		height: 100%;
	}
	.pbmit-element-timeline-style-2 .pbmit-timeline-inner {
		padding-bottom: 50px;
	}
}